Package net.rubygrapefruit.platform

# Interface OsxMemory

All Superinterfaces:
  `Memory`, `NativeIntegration`

All Known Implementing Classes:
  `DefaultOsxMemory`

public interface OsxMemory extends Memory

## Method Summary

Modifier and Type
Method
Description
`OsxMemoryInfo`
`getMemoryInfo()`
Queries the current state of the system memory.

## Method Details

### getMemoryInfo

OsxMemoryInfo getMemoryInfo() throws NativeException
Queries the current state of the system memory.

Specified by:
  `getMemoryInfo` in interface `Memory`
Throws:
  `NativeException` - On failure.